<?php
/*******************************************************************************
   This is a simplified script to add settings into SMF.

   ATTENTION: If you are trying to INSTALL this package, please access
   it directly, with a URL like the following:
      http://www.yourdomain.tld/forum/add_settings.php (or similar.)

================================================================================

   This script can be used to add new settings into the database for use
   with SMF's $modSettings array.  It is meant to be run either from the
   package manager or directly by URL.

*******************************************************************************/

global $settings, $scripturl, $context, $smcFunc, $db_prefix;

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
   'googleRouteMapsEnable' => '0',
        'googleRouteMapsKey' => '',
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
   require_once(dirname(__FILE__) . '/SSI.php');

// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
   die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Turn the array defined above into a string of MySQL data.
$string = '';
foreach ($mod_settings as $k => $v)
   $string .= '
         (\'' . $k . '\', \'' . $v . '\'),';


// Get all the non-postcount based groups.
$request = $smcFunc['db_query']('', '
   SELECT id_group
   FROM {db_prefix}membergroups
   WHERE min_posts = -1');

// Start the array off with the ungrouped members
$insert_rows = array(
   array('googleRouteMap_view', 0, 1)
);

// Then get all the rest.
while ($row = $smcFunc['db_fetch_assoc']($request))
   $insert_rows[] = array('googleRouteMap_view', $row['id_group'], 1);

$smcFunc['db_insert']('ignore',
   '{db_prefix}permissions',
   array(
      'permission' => 'string',
      'id_group' => 'int',
      'add_deny' => 'int',
   ),
   $insert_rows,
   array('permission', 'id_group')
);

?>